package org.jeecg.modules.gongdandetail.service;

import com.baomidou.mybatisplus.extension.service.IService;
import org.jeecg.common.api.vo.Result;
import org.jeecg.modules.gongdandetail.dto.ItdmGongdanDetailEditDTO;
import org.jeecg.modules.itdmGongDan.entity.ItdmGongdanDetail;

import java.text.ParseException;
import java.util.List;
import java.util.Map;

/**
 * @Description: 工单detail
 * @Author: jeecg-boot
 * @Date: 2023-05-21
 * @Version: V1.0
 */
public interface IItdmGongdanQuerenService extends IService<ItdmGongdanDetail> {


    void queren(ItdmGongdanDetailEditDTO itdmGongdanDetail) throws ParseException;


    public List<String> getByweituoId(String weituoId);

    public List<Map<String, String>> getDetailListByWoId(String woId, String riqi);

    public Map<String, String> getDetailListByWoId1(String woId, String riqi, String shiyanType, String shebeiId);

    public List<String> getWorkDateByWeituoNO(String weituoNo);

    public List<String> getWoIdByWeituoIdAndWordDate(String weituoNo, String work_date);


    List<Map<String, String>> gongdanShebeiList(String woId, String riqi, String shiyanType);

}
